<?php

$tmp = explode("/doc", $_SERVER['PHP_SELF']);
$root = $tmp[0] . "/";
include_once "rgraph_methods.php";

?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8"/>
<meta name="designer" content="Joachim Schmidt - http://www.jschmidt-systemberatung.de" />
<meta name="description" content="RGRAPH Web Application" />
<title>class rgraph_chart - methods reference</title>
<link href="<?php echo $root; ?>/css/website.css" rel="stylesheet" type="text/css" />

<script src="<?php echo $root; ?>js/jquery.min.js"></script>
<script type="text/javascript">
function show_method (form)
{
   if (form.method != undefined)
   {
    var Item   = form.method.selectedIndex;
    var method = form.method[Item].value;
    var url = "show_rgraph_method.php?method=" + method;

    jQuery( "#show-method" ).load( url, function() {
  		 // check result
      });
   }
 }
</script>
</head>
<body>

<div id="my-content">
<h3>php-RGraph -  class rgraph_chart methods reference</h3>
  <div id="left" style="width: 50%;">
  
    <div id="intro">
        <h4>methods of class "rgraph_chart" provided by php-RGraph</h4>
        "rgraph_chart" offers these main purposes for creating charts based on
        "RGraph":
        <ol>
        <li>support data creation and provisioning for RGraph charts </li>
        <li>provide setter and getter methods for rgraph_chart objects</li>
        <li>deliver data in json format to be used with RGraph</li>
        </ol>
        Usage of a rgraph_chart would contain therefore these structure:
        <ol>
        <li>provide the data for a chart (e.g. from a Joomla database):
        <pre>
 &#36;db_config_file = &#36;_SERVER["DOCUMENT_ROOT"] . "/configuration.php";
 &#36;sql="Select title, hits From jos_content Order By hits Desc Limit 10";
 &#36;data =  rgraph_chart::getDataFromDB (&#36;dbconfig, &#36;sql)
        </pre>
        </li>
        <li>use the fetched data form database in the constructor:
        <pre>
 &#36;chart =  new rgraph_chart ("cvs", &#36;data[1], "Bar");
        </pre></li>
        <li>create an option (chart properties) object and define chart properies
        <pre>
 &#36;options = new rgraph_options();
 &#36;options->set_option("title", "Most Read Articles");
        ...  more options ...
        </pre></li>
        <li> set (define) the chart properties to rgraph_chart object:
        <pre>
 &#36;chart->set_options(&#36;options);
        </pre>
        <li>create json object to be used with RGraph:
        <pre>
 &#36;rgraph_json = &#36;chart->toString();
        </pre></li>
        </ol>
         <p>To get more information besides references shown here, have a look at my samples or visit the
        <a href="http://www.rgraph.net/" target="_blank">home of RGraph</a>.<p>
    </div>
   </div>
    
  <div id="right" style="margin-left: 56%;">
  
    <h4>select a method, then click button to see a short description</h4>
    <b>Select rgraph_chart method </b>
       <form id="form" style="max-width: 500px;" name="form" action="">
        <?php
        $i=0;
        foreach ($rgraph_methods as $key => $value)
        {
            $result[$i] = $key;
            $i++;
        }
        ?>
        <select class="my_select" name="method" id="method" form="form">
        <?php
        for ($i = 0; $i < count($result); $i ++)
            echo "<option name='method' value='" . $result[$i] . "'>" . $result[$i] . "</option>";
        ?>
         </select> <input type="button" value="Show Description" onclick="show_method(this.form)" />
        </form>
        
     <div id="show-method" style="margin-top: 15px;" class="reference" ></div>
    
  </div>
    <div style="clear: both;"></div>
</div>
</body>
</html>
