<?php
/**
 * @filesource: line_url.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$draw_option = "draw()";
$width = "700";
$height = "350";

$chart = new rgraph_chart("cvs", null, "Line");
$data = array(1,9,5,6,3,4,8,5,2,2);
$chart->set_data($data);

$options = new rgraph_options("default.ini");
$options->set_option("title", "A chart with undulating labels");
//$options->set_option("titleY",20);
$options->set_option("xaxisLabels", array('Bob','Fred','John','Luis','Jo','Kane','Lou','Liam','Angie', 'Jim'));
$options->set_option('tickmarksSize', 5);
$options->set_option('tickmarksStyle', 'circle');
$options->set_option('marginInner', 15);
$options->set_option('textSize', 11);
$options->set_option('titleBold', true);
$options->set_option('labelsAngled', true, true); // bypass type check
$options->set_option('labelsAngledSpecific', array('2013','2014','2015','2016','2017','2018','2019','2020','2021'));
$options->set_option('labelsAngledSize', 10);
$draw_option .= $options->getResponsiveFunction(array(0.4,990,1200,$width,$height));

$chart->set_options($options);

$rgraph_json = $chart->toString();

$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



