<?php
/**
 * @filesource: combine_two2.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   template for use of php-helper class for rgraph charts package
 *
 */
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8"/>
<meta name="designer" content="Joachim Schmidt - http://www.jschmidt-systemberatung.de" />
<meta name="description" content="RGRAPH Web Application" />
<title>RChart Sample</title>
<link href="<?php echo $root; ?>/css/website.css" rel="stylesheet" type="text/css" />
<script src="js/jquery.min.js"></script>
<?php
$id = $chart1->get_id();
$chart1_type = $chart1->get_chartType();
$chart2_type = $chart2->get_chartType();
$java_scripts = "";
if ($chart1_type !== "Bar" && $chart2_type !== "Bar")
    $java_scripts = "<script src='" . $base . $chart2->getScript('bar') . "'  type='text/javascript' ></script>";

$scripts = $chart1->getScripts((array)$options1);
$scripts = $chart2->appendScripts((array)$options2, $scripts);

for ($i=0; $i<count($scripts); $i++)
{
  if (isset($scripts[$i]))
    $java_scripts .= "\n<script src='" . $base . $scripts[$i] . "'  type='text/javascript' ></script>";
}

$java_scripts .= "<script src='" . $base . $chart1->getScript('effects') . "'  type='text/javascript' ></script>";
$java_scripts .= "<script src='" . $base . $chart1->getScript($chart1_type) . "'  type='text/javascript' ></script>";
if ($chart1_type !== $chart2_type)
  $java_scripts .= "<script src='" . $base . $chart2->getScript($chart2_type) . "'  type='text/javascript' ></script>";
echo $java_scripts;
  
if (!isset($canvas_style))
    $canvas_style = "";
if (!isset($canvas_class))
    $canvas_class = "";
?>

</head>
<canvas id="<?php echo $id; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" style=" <?php echo $canvas_style; ?>" class="<?php echo $canvas_class; ?>">
    [No canvas support]>
</canvas>
<script>
jQuery(document).ready(function() {
  
   <?php echo $event1_script; ?>
   <?php echo $event2_script; ?>
        
   var chart1 = new RGraph.<?php echo $chart1_type; ?> (
   <?php echo $chart1_json; ?>)
   <?php echo $chart1_script; ?>


   var chart2 = new RGraph.<?php echo $chart2_type; ?> (
   <?php echo $chart2_json; ?>)
   <?php echo $chart2_script; ?>

   var combo = new RGraph.CombinedChart(chart1, chart2);
   combo.<?php echo $draw_option; ?>;
  
 });
</script>

